pluginManagement {
    repositories {
        maven {url 'https://developer.huawei.com/repo/'}

        maven {
            url 'http://nexus.51trust.net/repository/android-group/'
            allowInsecureProtocol true
        }
        maven {
            url 'http://nexus.51trust.net/repository/maven-public/'
            allowInsecureProtocol true
        }
        maven {
            url "https://repo.eclipse.org/content/repositories/paho-releases/"
        }
    }
}
dependencyResolutionManagement {
    repositoriesMode.set(RepositoriesMode.PREFER_SETTINGS)
    repositories {
        maven {url 'https://developer.huawei.com/repo/'}
        maven {
            url 'http://127.0.0.1:1022/repository/maven-public/'
            allowInsecureProtocol true
        }
        maven {
            url 'http://nexus.51trust.net/repository/android-group/'
            allowInsecureProtocol true
        }
        maven {
            url 'http://nexus.51trust.net/repository/maven-public/'
            allowInsecureProtocol true
        }
    }
}
rootProject.name = "PushDemo"
include ':app'
include ':push'
